Bug 1088651 - NVIDIA proprietary driver broken in kernel 4.16
NVIDIA proprietary driver broken in kernel 4.16
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 3rd Party Driver
Current
Other Other
: P2 - High : Major with 1 vote (vote)
: ---
Assigned To: Stefan Dirsch
Stefan Dirsch
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-09 10:42 UTC by Andrei Dziahel
Modified: 2018-04-12 07:12 UTC (History)
8 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
missing-exports-for-swiotlb.patch (639 bytes, patch)
2018-04-09 13:46 UTC, Stefan Dirsch
Details | Diff
Official NVIDIA Linux 4.16 compatibility patch (3.92 KB, patch)
2018-04-10 16:03 UTC, Daniel Dadap
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Dziahel 2018-04-09 10:42:16 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.81 Safari/537.36
Build Identifier: 

See https://lists.opensuse.org/opensuse-factory/2018-04/msg00316.html, https://lists.opensuse.org/opensuse-factory/2018-04/msg00329.html

Reproducible: Always

Steps to Reproduce:
1. Install latest long-lived to recent Tumbleweed snapshot introducing kernel v4.16
2.
3.
Actual Results:  
The video driver module fails to be loaded, see links in "Details"

Expected Results:  
The proprietary nvidia driver works as before
Comment 1 Stefan Dirsch 2018-04-09 13:45:00 UTC
https://build.opensuse.org/package/show/X11:Drivers:Video/nvidia-gfxG04


nvidia-gfxG04.changes
-------------------------------------------------------------------
Mon Apr  9 13:39:32 UTC 2018 - sndirsch@suse.com

- missing-exports-for-swiotlb.patch
  * temporary workaround for removed exports in Kernel 4.16
    (boo#1088651) 
[...]
Comment 2 Stefan Dirsch 2018-04-09 13:46:17 UTC
Created attachment 766471 [details]
missing-exports-for-swiotlb.patch
Comment 3 Stefan Dirsch 2018-04-10 09:51:15 UTC
(In reply to Stefan Dirsch from comment #1)
> https://build.opensuse.org/package/show/X11:Drivers:Video/nvidia-gfxG04

If anybody could manually build, test this and provide feedback, that would be great!
Comment 4 Stefan Dirsch 2018-04-10 14:26:05 UTC
Tested this meanwhile myself. Works fine with Kernel 4.16 of current TW. Pushed packages to NVIDIA. Should be available soon in the repos. See comment#1 for the RPM changelog entry. Closing as fixed.
Comment 5 Daniel Dadap 2018-04-10 16:03:31 UTC
Created attachment 766621 [details]
Official NVIDIA Linux 4.16 compatibility patch

Hi Stefan,

We've actually already fixed this, but at the time the bug was filed there were no released driver versions that included the fix. This is the fix that we're using in the just released 396.18 driver.
Comment 6 Andrei Dziahel 2018-04-11 08:28:37 UTC
Stefan, I've built kernel module driver with patch by Daniel (required tiny fix at line 153), installed it and it seems to work flawlessly. You might want to update the package with it, or I'll send a request eventually.
Comment 7 Stefan Dirsch 2018-04-11 12:26:04 UTC
Just replaced the existing patch with the one Daniel attached (yes, minor change was needed to apply it). And it works fine. Tested on Tumbleweed. Packages are pushed to NVIDIA now. Repositories should be up-to-date soon. RPM changelog is:

-------------------------------------------------------------------
Wed Apr 11 09:36:31 UTC 2018 - sndirsch@suse.com

- replaced 'missing-exports-for-swiotlb.patch' with
  NVIDIA's patch 'check-for-swiotlb_map_sg_attrs.patch' (boo#1088651)